Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.imageio.spi
Interface ServiceRegistry.Filter

Enclosing class:
  ServiceRegistry

    public static interface ServiceRegistry.Filter

A simple filter interface used by `ServiceRegistry.getServiceProviders` to select providers matching an arbitrary criterion. Classes that implement this interface should be defined in order to make use of the `getServiceProviders` method of `ServiceRegistry` that takes a `Filter`.

See Also:
  `ServiceRegistry.getServiceProviders(Class, ServiceRegistry.Filter, boolean)`

Method Summary
`boolean` | `filter(Object provider)` Returns `true` if the given `provider` object matches the criterion defined by this `Filter`.

Method Detail

### filter

    boolean filter(Object provider)

  Returns `true` if the given `provider` object matches the criterion defined by this `Filter`.

  Parameters:
    `provider` - a service provider `Object`.
  Returns:
    true if the provider matches the criterion.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.